Bug 929374 - SELinux is preventing /usr/bin/systemctl from 'lock' accesses on the file /run/utmp.
Summary: SELinux is preventing /usr/bin/systemctl from 'lock' accesses on the file /ru...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c237f5fe5823e020dd37e014d0d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-30 03:45 UTC by Peter Trenholme
Modified: 2013-04-19 05:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:55:01 UTC
Type: ---


Attachments (Terms of Use)

Description Peter Trenholme 2013-03-30 03:45:02 UTC
Description of problem:
Way wouldn't systemd be allowed to release a lock when the temp file is closed?
SELinux is preventing /usr/bin/systemctl from 'lock' accesses on the file /run/utmp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemctl should be allowed lock access on the utmp file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep runlevel /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:initrc_var_run_t:s0
Target Objects                /run/utmp [ file ]
Source                        runlevel
Source Path                   /usr/bin/systemctl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-200-2.fc19.x86_64
Target RPM Packages           initscripts-9.45-2.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-24.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.0-0.rc4.git0.1.fc19.x86_64 #1
                              SMP Mon Mar 25 02:31:02 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-03-29 20:40:02 PDT
Last Seen                     2013-03-29 20:40:02 PDT
Local ID                      6708684f-adac-4608-9a70-0798dfee8c6f

Raw Audit Messages
type=AVC msg=audit(1364614802.360:1113): avc:  denied  { lock } for  pid=25350 comm="runlevel" path="/run/utmp" dev="tmpfs" ino=15583 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1364614802.360:1113): arch=x86_64 syscall=fcntl success=yes exit=0 a0=3 a1=7 a2=7fff2b44d520 a3=8 items=0 ppid=25349 pid=25350 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=runlevel exe=/usr/bin/systemctl subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: runlevel,abrt_t,initrc_var_run_t,file,lock

audit2allow

#============= abrt_t ==============
allow abrt_t initrc_var_run_t:file lock;

audit2allow -R
require {
	type abrt_t;
}

#============= abrt_t ==============
init_read_utmp(abrt_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.9.0-0.rc4.git0.1.fc19.x86_64
type:           libreport

Potential duplicate: bug 928989

Comment 1 Daniel Walsh 2013-04-01 14:14:45 UTC
Fixed in selinux-policy-3.12.1-25.fc19.noarch

Comment 2 Fedora Update System 2013-04-08 11:43:25 UTC
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19

Comment 3 Fedora Update System 2013-04-08 15:55:16 UTC
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-19 05:55:03 UTC
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.